Share via


Azure Load Testing Data Plane Endpoint

Azure Load Testing Preview has control plane and data plane operations. For example, creating an Azure Load Testing resource is a control plane operation and creating a load test is a data plane operation. To perform data plane operations, you will need to get the data plane URI (endpoint) for the resource you created.

Get the data plane URI for an Azure Load Testing resource

This section shows to get the data plane URI for an Azure Load Testing resource.

  1. Create an Azure Load Testing resource

    PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.LoadTestService/loadTests/{loadTestName}?api-version=2022-12-01
    

    For a client making a request with this signature, the Load Test Resource - Create Or Update operation will be executed.

    A successful response for a request made using this signature will be similar to the following:

        {
      "location": "westus",
      "identity": {
        "type": "SystemAssigned,UserAssigned",
        "principalId": "12345678-1234-1234-1234-123456789012",
        "tenantId": "12345678-1234-1234-4321-123456789012",
        "userAssignedIdentities": {
          "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1": {
            "principalId": "12345678-1234-4321-1234-123456789012",
            "clientId": "12345678-4321-1234-1234-123456789012"
          }
        }
      },
      "properties": {
        "description": "This is new load test resource",
        "dataPlaneURI": "00000000-0000-0000-0000-000000000000.eastus.cnt-prod.loadtesting.azure.com",
        "provisioningState": "Succeeded",
        "encryption": {
          "identity": {
            "type": "UserAssigned",
            "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/id1"
          },
          "keyUrl": "https://dummy.vault.azure.net/keys/dummykey1"
        }
      },
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/dummyrg/providers/Microsoft.LoadTestService/loadTests/myLoadTest",
      "name": "myLoadTest",
      "type": "Microsoft.LoadTestService/loadTests",
      "tags": {
        "Team": "Dev Exp"
      },
      "systemData": {
        "createdBy": "userId1001",
        "createdByType": "User",
        "createdAt": "2021-09-28T12:32:33Z",
        "lastModifiedBy": "userId1001",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2021-09-28T12:32:33Z"
      }
    }
    
  2. Get the data plane URI for the resource created.

    In the properties section of the response, you can find different properties related to the new Azure Load Testing resource and its state. If the provisioningState is Succeeded, you can use the dataPlaneURI to perform data plane API operations on the resource.